Investigate and fix why sometimes paragraphs are not indicated as moved
Closed, ResolvedPublic13 Story Points

Description

NB limit to 2 days in total

Motivation
There are at least two patches where paragraphs that have not been changed at all were still not considered as moved

TODO: @jkroll add examples

Task
Figure out why this is happening and fix it if possible

Lea_WMDE created this task.Feb 20 2018, 4:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2018, 4:16 PM
Tobi_WMDE_SW set the point value for this task to 13.Feb 20 2018, 4:29 PM
Lea_WMDE renamed this task from Investigate why sometimes paragraphs are not indicated as moved to Investigate and fix why sometimes paragraphs are not indicated as moved.Feb 20 2018, 4:30 PM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
jkroll claimed this task.Feb 21 2018, 3:09 PM
jkroll closed this task as Resolved.Feb 28 2018, 3:50 PM

sometime a change DiffOp would contain add and delete ops, which would later not get picked up ba the moved paragraph stuff. fixed (see examples above).